> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.kiwiform.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.kiwiform.com/_mcp/server.

# Subscribe to Webhook

POST https://app.kiwiform.com/api/integrations/make/hooks
Content-Type: application/json

##### Register a new webhook subscription. Make will call this when a user activates a scenario to start listening to form submissions.

### Headers

- **Authorization** (string, Required): Bearer YOUR_MAKE_API_KEY
    
- **Content-Type** (string, Required): application/json
    

### Request Body

- **formId** (string, Required): The ID of the form to subscribe to.
    
- **url** (string, Required): The target webhook URL provided by Make.

Reference: https://developers.kiwiform.com/kiwiform-api/kiwiform-make-api/subscribe-to-webhook

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Kiwiform API
  version: 1.0.0
paths:
  /api/integrations/make/hooks:
    post:
      operationId: subscribe-to-webhook
      summary: Subscribe to Webhook
      description: >-
        ##### Register a new webhook subscription. Make will call this when a
        user activates a scenario to start listening to form submissions.


        ### Headers


        - **Authorization** (string, Required): Bearer YOUR_MAKE_API_KEY
            
        - **Content-Type** (string, Required): application/json
            

        ### Request Body


        - **formId** (string, Required): The ID of the form to subscribe to.
            
        - **url** (string, Required): The target webhook URL provided by Make.
      tags:
        - subpackage_kiwiformMakeApi
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Kiwiform Make API_Subscribe to
                  Webhook_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: string
servers:
  - url: https://app.kiwiform.com
    description: https://app.kiwiform.com
components:
  schemas:
    Kiwiform Make API_Subscribe to Webhook_Response_200:
      type: object
      properties:
        id:
          type: string
      required:
        - id
      title: Kiwiform Make API_Subscribe to Webhook_Response_200

```

## Examples



**Request**

```json
"\n\n{\n  \"formId\": {{YOUR_FORM_ID}},\n  \"url\": \"https://hook.us1.make.com/xxxxxxxxx\"\n}"
```

**Response**

```json
{
  "id": "sub_987654321"
}
```

**SDK Code**

```python Kiwiform Make API_Subscribe to Webhook_example
import requests

url = "https://app.kiwiform.com/api/integrations/make/hooks"

payload = "

{
  \"formId\": {{YOUR_FORM_ID}},
  \"url\": \"https://hook.us1.make.com/xxxxxxxxx\"
}"
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Kiwiform Make API_Subscribe to Webhook_example
const url = 'https://app.kiwiform.com/api/integrations/make/hooks';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '"\n\n{\n  \"formId\": {{YOUR_FORM_ID}},\n  \"url\": \"https://hook.us1.make.com/xxxxxxxxx\"\n}"'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Kiwiform Make API_Subscribe to Webhook_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.kiwiform.com/api/integrations/make/hooks"

	payload := strings.NewReader("\"\\n\\n{\\n  \\\"formId\\\": {{YOUR_FORM_ID}},\\n  \\\"url\\\": \\\"https://hook.us1.make.com/xxxxxxxxx\\\"\\n}\"")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Kiwiform Make API_Subscribe to Webhook_example
require 'uri'
require 'net/http'

url = URI("https://app.kiwiform.com/api/integrations/make/hooks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "\"\\n\\n{\\n  \\\"formId\\\": {{YOUR_FORM_ID}},\\n  \\\"url\\\": \\\"https://hook.us1.make.com/xxxxxxxxx\\\"\\n}\""

response = http.request(request)
puts response.read_body
```

```java Kiwiform Make API_Subscribe to Webhook_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.kiwiform.com/api/integrations/make/hooks")
  .header("Content-Type", "application/json")
  .body("\"\\n\\n{\\n  \\\"formId\\\": {{YOUR_FORM_ID}},\\n  \\\"url\\\": \\\"https://hook.us1.make.com/xxxxxxxxx\\\"\\n}\"")
  .asString();
```

```php Kiwiform Make API_Subscribe to Webhook_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.kiwiform.com/api/integrations/make/hooks', [
  'body' => '"\\n\\n{\\n  \\"formId\\": {{YOUR_FORM_ID}},\\n  \\"url\\": \\"https://hook.us1.make.com/xxxxxxxxx\\"\\n}"',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Kiwiform Make API_Subscribe to Webhook_example
using RestSharp;

var client = new RestClient("https://app.kiwiform.com/api/integrations/make/hooks");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "\"\\n\\n{\\n  \\\"formId\\\": {{YOUR_FORM_ID}},\\n  \\\"url\\\": \\\"https://hook.us1.make.com/xxxxxxxxx\\\"\\n}\"", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Kiwiform Make API_Subscribe to Webhook_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = "

{
  \"formId\": {{YOUR_FORM_ID}},
  \"url\": \"https://hook.us1.make.com/xxxxxxxxx\"
}" as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.kiwiform.com/api/integrations/make/hooks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```